VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Filter Class Reference

`#include <filter.h>`

## Public Types
enum | Type { kLowpass , kHighpass , kBandpass , kNumTypes }

## Public Member Functions
| Filter (Type type)
void | setType (Type t)
void | setSampleRate (double sampleRate)
void | setFreqAndQ (double frequency, double q)
double | process (double sample)
void | reset ()

## Protected Attributes
Type | type
double | sampleRate
double | invSampleRate
double | in1
double | in2
double | out1
double | out2
double | b0a0
double | b1a0
double | b2a0
double | a1a0
double | a2a0

## Member Enumeration Documentation

## ◆ Type

enum Type

Enumerator
kLowpass |
kHighpass |
kBandpass |
kNumTypes |

## Constructor & Destructor Documentation

## ◆ Filter()

Filter | ( | Type | type | ) |
| inline

## Member Function Documentation

## ◆ setType()

void setType | ( | Type | t | ) |
| inline

## ◆ setSampleRate()

void setSampleRate | ( | double | sampleRate | ) |
| inline

## ◆ setFreqAndQ()

void setFreqAndQ | ( | double | frequency,
|  | double | q )
| inline

## ◆ process()

double process | ( | double | sample | ) |
| inline

## ◆ reset()

void reset | ( |  | ) |
| inline

## Member Data Documentation

## ◆ type

Type type
| protected

## ◆ sampleRate

double sampleRate
| protected

## ◆ invSampleRate

double invSampleRate
| protected

## ◆ in1

double in1
| protected

## ◆ in2

double in2
| protected

## ◆ out1

double out1
| protected

## ◆ out2

double out2
| protected

## ◆ b0a0

double b0a0
| protected

## ◆ b1a0

double b1a0
| protected

## ◆ b2a0

double b2a0
| protected

## ◆ a1a0

double a1a0
| protected

## ◆ a2a0

double a2a0
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.